-- date check

CREATE TABLE datetmp (a date);

\copy datetmp from 'data/date.data'

SET enable_seqscan=on;

SELECT count(*) FROM datetmp WHERE a <  '2014-02-15';

SELECT count(*) FROM datetmp WHERE a <= '2014-02-15';

SELECT count(*) FROM datetmp WHERE a  = '2014-02-15';

SELECT count(*) FROM datetmp WHERE a >= '2014-02-15';

SELECT count(*) FROM datetmp WHERE a >  '2014-02-15';

CREATE INDEX dateidx ON datetmp USING gist ( a );

SET enable_seqscan=off;

SELECT count(*) FROM datetmp WHERE a <  '2014-02-15'::date;

SELECT count(*) FROM datetmp WHERE a <= '2014-02-15'::date;

SELECT count(*) FROM datetmp WHERE a  = '2014-02-15'::date;

SELECT count(*) FROM datetmp WHERE a >= '2014-02-15'::date;

SELECT count(*) FROM datetmp WHERE a >  '2014-02-15'::date;

