-- timestamp check

CREATE TABLE timestamptmp (a timestamp);

\copy timestamptmp from 'data/timestamp.data'

SET enable_seqscan=on;

SELECT count(*) FROM timestamptmp WHERE a <  '2014-02-15 04:30:40';

SELECT count(*) FROM timestamptmp WHERE a <= '2014-02-15 04:30:40';

SELECT count(*) FROM timestamptmp WHERE a  = '2014-02-15 04:30:40';

SELECT count(*) FROM timestamptmp WHERE a >= '2014-02-15 04:30:40';

SELECT count(*) FROM timestamptmp WHERE a >  '2014-02-15 04:30:40';

CREATE INDEX timestampidx ON timestamptmp USING gist ( a );

SET enable_seqscan=off;

SELECT count(*) FROM timestamptmp WHERE a <  '2014-02-15 04:30:40'::timestamp;

SELECT count(*) FROM timestamptmp WHERE a <= '2014-02-15 04:30:40'::timestamp;

SELECT count(*) FROM timestamptmp WHERE a  = '2014-02-15 04:30:40'::timestamp;

SELECT count(*) FROM timestamptmp WHERE a >= '2014-02-15 04:30:40'::timestamp;

SELECT count(*) FROM timestamptmp WHERE a >  '2014-02-15 04:30:40'::timestamp;

