-- timetz check

CREATE TABLE timetztmp (a timetz);

\copy timetztmp from 'data/timetz.data'

SET enable_seqscan=on;

SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +3';

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +3';

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +3';

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +3';

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +3';


SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +2';

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +2';

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +2';

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +2';

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +2';

SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +4';

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +4';

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +4';

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +4';

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +4';



CREATE INDEX timetzidx ON timetztmp USING gist ( a );

SET enable_seqscan=off;

SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +3'::timetz;

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +3'::timetz;

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +3'::timetz;

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +3'::timetz;

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +3'::timetz;


SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +2'::timetz;

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +2'::timetz;

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +2'::timetz;

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +2'::timetz;

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +2'::timetz;


SELECT count(*) FROM timetztmp WHERE a <  '20:11:37 +4'::timetz;

SELECT count(*) FROM timetztmp WHERE a <= '20:11:37 +4'::timetz;

SELECT count(*) FROM timetztmp WHERE a  = '20:11:37 +4'::timetz;

SELECT count(*) FROM timetztmp WHERE a >= '20:11:37 +4'::timetz;

SELECT count(*) FROM timetztmp WHERE a >  '20:11:37 +4'::timetz;
