-- int8 check

CREATE TABLE int8tmp (a int8);

\copy int8tmp from 'data/int8.data'

SET enable_seqscan=on;

SELECT count(*) FROM int8tmp WHERE a <  19317831168140373;

SELECT count(*) FROM int8tmp WHERE a <= 19317831168140373;

SELECT count(*) FROM int8tmp WHERE a  = 19317831168140373;

SELECT count(*) FROM int8tmp WHERE a >= 19317831168140373;

SELECT count(*) FROM int8tmp WHERE a >  19317831168140373;

CREATE INDEX int8idx ON int8tmp USING gist ( a );

SET enable_seqscan=off;

SELECT count(*) FROM int8tmp WHERE a <  19317831168140373::int8;

SELECT count(*) FROM int8tmp WHERE a <= 19317831168140373::int8;

SELECT count(*) FROM int8tmp WHERE a  = 19317831168140373::int8;

SELECT count(*) FROM int8tmp WHERE a >= 19317831168140373::int8;

SELECT count(*) FROM int8tmp WHERE a >  19317831168140373::int8;

