-- interval check

CREATE TABLE intervaltmp (a interval);

\copy intervaltmp from 'data/interval.data'

SET enable_seqscan=on;

SELECT count(*) FROM intervaltmp WHERE a <  '2687 days 10:25:24';

SELECT count(*) FROM intervaltmp WHERE a <= '2687 days 10:25:24';

SELECT count(*) FROM intervaltmp WHERE a  = '2687 days 10:25:24';

SELECT count(*) FROM intervaltmp WHERE a >= '2687 days 10:25:24';

SELECT count(*) FROM intervaltmp WHERE a >  '2687 days 10:25:24';

CREATE INDEX intervalidx ON intervaltmp USING gist ( a );

SET enable_seqscan=off;

SELECT count(*) FROM intervaltmp WHERE a <  '2687 days 10:25:24'::interval;

SELECT count(*) FROM intervaltmp WHERE a <= '2687 days 10:25:24'::interval;

SELECT count(*) FROM intervaltmp WHERE a  = '2687 days 10:25:24'::interval;

SELECT count(*) FROM intervaltmp WHERE a >= '2687 days 10:25:24'::interval;

SELECT count(*) FROM intervaltmp WHERE a >  '2687 days 10:25:24'::interval;

